Bug 443449 - Review Request: udpcast - UDP broadcast file distribution and installation
Review Request: udpcast - UDP broadcast file distribution and installation
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-21 12:43 EDT by Richard W.M. Jones
Modified: 2008-05-04 15:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-04 15:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-04-21 12:43:50 EDT
Spec URL: http://www.annexia.org/tmp/udpcast.spec
SRPM URL: http://www.annexia.org/tmp/udpcast-20071228-1.fc8.src.rpm
Description: UDP broadcast file distribution and installation

udpcast is a program for broadcasting (reliably) a large file to
many hosts.  It utilises ethernet broadcasts and selective resends
for efficiency.

rpmlint is clean except for this:
udpcast-debuginfo.x86_64: E: empty-debuginfo-package
I'm not sure how to fix this -- maybe just disable debuginfo?

$ rpm -qlp udpcast-20071228-1.fc8.x86_64.rpm

$ rpm -q --requires -p udpcast-20071228-1.fc8.x86_64.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Comment 1 Richard W.M. Jones 2008-04-21 14:17:44 EDT
Spec URL: http://www.annexia.org/tmp/udpcast.spec
SRPM URL: http://www.annexia.org/tmp/udpcast-20071228-2.fc8.src.rpm

* Mon Apr 21 2008 Richard W.M. Jones <rjones@redhat.com> - 20071228-2
- BR m4.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=574605
Comment 2 Jerry James 2008-05-01 14:53:13 EDT
I have some suggestions.  First, the debuginfo warning is because the Makefile
passes the -s option to ld, which strips the binaries.  The following line in
the spec file BEFORE you run the configure script will fix it:

sed -i -e '/override LDFLAGS +=-s/d' Makefile.in

Second, the udpcast_version macro defined at the top of the spec file is never
used.  You might as well delete that to reduce clutter.

Third, I recommend using the %configure macro in place of the "CFLAGS=..."

Finally, I recommend trimming the spec file Changelog to just your entry.  All
the stuff below that is available in the file named "Changelog", which is in the
%doc list.

- rpmlint is silent after the changes recommended above
- package naming guidelines: OK
- spec file name matches base name: OK
- packaging guidelines: OK
- licensing guidelines: OK
- license field matches actual license: FAIL, the fec_license() function in
fec.c claims that udpcast is covered by GPL v2 or any later version.  Therefore,
the license field should say "GPLv2+ and BSD".
- license file in %doc: OK
- spec file in American English: OK
- legible spec file: OK
- SRPM sources match upstream: OK
- builds on one architecture: OK
- appropriate use of ExcludeArch: OK
- all build dependencies in BuildRequires: FAIL.  The man page construction step
runs a perl script and applies m4, so perl and m4 should be in BuildRequires.
- handle locales properly: OK
- invoke ldconfig properly: OK
- relocatable package: OK
- own all created directories: OK
- no duplicate files in %files: OK
- proper file and directory permissions: OK
- %clean section: OK
- consistent use of macros: OK
- code or permissible content: OK
- large documentation: OK
- %doc files not needed to run: OK
- header files in -devel: OK
- static libraries in -static: OK
- pkgconfig files: OK
- .so files in -devel: OK
- -devel requires main package: OK
- no .la archives: OK
- desktop files for GUI programs: OK
- don't own files or directories owned by others: OK
- clean build root first in %install: OK
- filenames are UTF-8: OK

- license text in separate file: OK
- description and summary translations: OK
- builds in mock: OK (tested only on F8 x86_64)
- builds on all supported architectures: cannot test
- package functions as requires: cannot test adequately
- sane scriptlets: OK
- subpackages require the base package: OK
- placement of pkgconfig files: OK
- file dependencies: OK

Summary: You must fix the License and BuildRequires fields in the spec file.  I
encourage you to consider my other suggestions but won't block this package if
you don't adopt them.
Comment 3 Jerry James 2008-05-01 16:04:48 EDT
Forgot to assign the bug to me...
Comment 4 Richard W.M. Jones 2008-05-02 04:46:23 EDT
Right, here's a new version which should fix all of the above
except trimming the changelog which I like to keep.  This is
rpmlint clean.

Spec URL: http://www.annexia.org/tmp/udpcast.spec
SRPM URL: http://www.annexia.org/tmp/udpcast-20071228-3.fc9.src.rpm

* Fri May  2 2008 Richard W.M. Jones <rjones@redhat.com> - 20071228-3
- Remove '-s' flag from Makefile.
- Remove unused udpcast_version macro.
- Use configure macro.
- Fix the license, GPLv2+ and BSD.
- BuildRequires perl.
Comment 5 Jerry James 2008-05-03 23:23:46 EDT
The --prefix, --mandir, and --libdir options are set by the %configure macro, so
you should delete those.  See the definition in /usr/lib/rpm/redhat/macros. 
Otherwise, this package looks ready to go.

Comment 6 Richard W.M. Jones 2008-05-04 09:09:58 EDT
OK, I'll change that configure line as appropriate.  CVS request coming up ...

Comment 7 Richard W.M. Jones 2008-05-04 09:11:09 EDT
New Package CVS Request
Package Name: udpcast
Short Description: UDP broadcast file distribution and installation
Owners: rjones
Branches: F-8 F-9 EL-5
InitialCC: rjones
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2008-05-04 13:23:07 EDT
cvs done.
Comment 9 Richard W.M. Jones 2008-05-04 15:50:58 EDT
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.